in scala.xml.parsing
class MarkupHandler

`abstract class` MarkupHandler
  `extends` java.lang.Object
  `with` scala.util.logging.Logged
  `with` scala.ScalaObject

  class that handles markup - provides callback methods to MarkupParser. the default is nonvalidating behaviour

Author:
  Burak Emir
Version:
  1.0
Todo:
  can we ignore more entity declarations (i.e. those with extIDs)?
Todo:
  expanding entity references

Direct Known Subclasses:
  Parser, ValidatingMarkupHandler, DefaultMarkupHandler, ConstructingHandler, NodeTraverser

Constructor Summary
| `def` this

Val Summary
| `val` isValidating : scala.Boolean returns true is this markup handler is validing

Var Summary
| `var` decls : scala.List[scala.xml.dtd.Decl]
| `var` ent : scala.collection.mutable.Map[java.lang.String, scala.xml.dtd.EntityDecl]

Def Summary
| `def` attListDecl (name: java.lang.String, attList: scala.List[scala.xml.dtd.AttrDecl]) : scala.Unit
`abstract` | `def` comment (pos: scala.Int, comment: java.lang.String) : scala.xml.NodeSeq callback method invoked by MarkupParser after parsing comment.
`abstract` | `def` elem (pos: scala.Int, pre: java.lang.String, label: java.lang.String, attrs: scala.xml.MetaData, scope: scala.xml.NamespaceBinding, args: scala.xml.NodeSeq) : scala.xml.NodeSeq callback method invoked by MarkupParser after parsing an elementm, between the elemStart and elemEnd callbacks
| `def` elemDecl (n: java.lang.String, cmstr: java.lang.String) : scala.Unit
| `def` elemEnd (pos: scala.Int, pre: java.lang.String, label: java.lang.String) : scala.Unit callback method invoked by MarkupParser after end-tag of element.
| `def` elemStart (pos: scala.Int, pre: java.lang.String, label: java.lang.String, attrs: scala.xml.MetaData, scope: scala.xml.NamespaceBinding) : scala.Unit callback method invoked by MarkupParser after start-tag of element.
| `def` endDTD (n: java.lang.String) : scala.Unit
`abstract` | `def` entityRef (pos: scala.Int, n: java.lang.String) : scala.xml.NodeSeq callback method invoked by MarkupParser after parsing entity ref.
| `def` lookupElemDecl (Label: java.lang.String) : scala.xml.dtd.ElemDecl
| `def` notationDecl (notat: java.lang.String, extID: scala.xml.dtd.ExternalID) : scala.Unit
| `def` parameterEntityDecl (name: java.lang.String, edef: scala.xml.dtd.EntityDef) : scala.Unit
| `def` parsedEntityDecl (name: java.lang.String, edef: scala.xml.dtd.EntityDef) : scala.Unit
| `def` peReference (name: java.lang.String) : scala.Unit
`abstract` | `def` procInstr (pos: scala.Int, target: java.lang.String, txt: java.lang.String) : scala.xml.NodeSeq callback method invoked by MarkupParser after parsing PI.
| `def` replacementText (entityName: java.lang.String) : scala.io.Source
`abstract` | `def` reportSyntaxError (pos: scala.Int, str: java.lang.String) : scala.Unit report a syntax error
`abstract` | `def` text (pos: scala.Int, txt: java.lang.String) : scala.xml.NodeSeq callback method invoked by MarkupParser after parsing text.
| `def` unparsedEntityDecl (name: java.lang.String, extID: scala.xml.dtd.ExternalID, notat: java.lang.String) : scala.Unit

Def inherited from scala.util.logging.Logged
log

Constructor Detail

`def` this

Val Detail

`val` isValidating : scala.Boolean

  returns true is this markup handler is validing

Var Detail

`var` decls : scala.List[scala.xml.dtd.Decl]

`var` ent : scala.collection.mutable.Map[java.lang.String, scala.xml.dtd.EntityDecl]

Def Detail

`def` attListDecl (name: java.lang.String, attList: scala.List[scala.xml.dtd.AttrDecl]): scala.Unit

`abstract def` comment (pos: scala.Int, comment: java.lang.String): scala.xml.NodeSeq

  callback method invoked by MarkupParser after parsing comment.

Parameters:
  `pos -` the position in the source file
Parameters:
  `comment -` ...
Returns:
  ...

`abstract def` elem (pos: scala.Int, pre: java.lang.String, label: java.lang.String, attrs: scala.xml.MetaData, scope: scala.xml.NamespaceBinding, args: scala.xml.NodeSeq): scala.xml.NodeSeq

  callback method invoked by MarkupParser after parsing an elementm, between the elemStart and elemEnd callbacks

Parameters:
  `pos -` the position in the source file
Parameters:
  `pre -` the prefix
Parameters:
  `label -` the local name
Parameters:
  `attrs -` the attributes (metadata)
Parameters:
  `args -` the children of this element
Returns:
  ...

`def` elemDecl (n: java.lang.String, cmstr: java.lang.String): scala.Unit

`def` elemEnd (pos: scala.Int, pre: java.lang.String, label: java.lang.String): scala.Unit

  callback method invoked by MarkupParser after end-tag of element.

Parameters:
  `pos -` the position in the source file
Parameters:
  `pre -` the prefix
Parameters:
  `label -` the local name
Parameters:
  `attrs -` the attributes (metadata)

`def` elemStart (pos: scala.Int, pre: java.lang.String, label: java.lang.String, attrs: scala.xml.MetaData, scope: scala.xml.NamespaceBinding): scala.Unit

  callback method invoked by MarkupParser after start-tag of element.

Parameters:
  `pos -` the position in the sourcefile
Parameters:
  `pre -` the prefix
Parameters:
  `label -` the local name
Parameters:
  `attrs -` the attributes (metadata)

`def` endDTD (n: java.lang.String): scala.Unit

`abstract def` entityRef (pos: scala.Int, n: java.lang.String): scala.xml.NodeSeq

  callback method invoked by MarkupParser after parsing entity ref.

Todo:
  expanding entity references

`def` lookupElemDecl (Label: java.lang.String): scala.xml.dtd.ElemDecl

`def` notationDecl (notat: java.lang.String, extID: scala.xml.dtd.ExternalID): scala.Unit

`def` parameterEntityDecl (name: java.lang.String, edef: scala.xml.dtd.EntityDef): scala.Unit

`def` parsedEntityDecl (name: java.lang.String, edef: scala.xml.dtd.EntityDef): scala.Unit

`def` peReference (name: java.lang.String): scala.Unit

`abstract def` procInstr (pos: scala.Int, target: java.lang.String, txt: java.lang.String): scala.xml.NodeSeq

  callback method invoked by MarkupParser after parsing PI.

Parameters:
  `pos -` the position in the source file
Parameters:
  `target -` ...
Parameters:
  `txt -` ...
Returns:
  ...

`def` replacementText (entityName: java.lang.String): scala.io.Source

`abstract def` reportSyntaxError (pos: scala.Int, str: java.lang.String): scala.Unit

  report a syntax error

`abstract def` text (pos: scala.Int, txt: java.lang.String): scala.xml.NodeSeq

  callback method invoked by MarkupParser after parsing text.

`def` unparsedEntityDecl (name: java.lang.String, extID: scala.xml.dtd.ExternalID, notat: java.lang.String): scala.Unit